Subject: [Mops] IETF 106 is done; Looking toward IETF 107 Re: Last Call -- Minutes from MOPS at IETF 106 in Singapore

From: "Leslie Daigle" <[email-masked]>
Date: Tue, 03 Dec 2019 16:03:52 -0500

Hi again,

I’ve submitted the minutes 
(https://datatracker.ietf.org/meeting/106/materials/minutes-106-mops-00), 
so we can call IETF 106 MOPS, our first meeting, complete.

If you missed it, the video is available here:  
https://www.youtube.com/watch?v=4_k340xT2jM .

And, it’s not too soon to look forward to IETF 107!   WG scheduling 
requests are going to be due in January.   Then we’ll have about a 
month to put together our agenda.  Updates on documents will be useful 
in that timeframe, too.

So, as I said in the meeting, review (mentally or with the video above) 
what we covered in Singapore, and let me know if you have thoughts for 
topical areas we might want to get into in Vancouver.    I’ve already 
fingered “V3” as a maybe…

Let me know what else we should be thinking of.

Leslie.

On 25 Nov 2019, at 11:25, Leslie Daigle wrote:

> Hi,
>
> I’ve copied the current state of the MOPS minutes below.  Assuming 
> there are no objections, I will plan to post these on Tuesday, 
> December 3, 2019.
>
> If there are errors or omissions, please let me know.
>
> Thanks,
>
> Leslie.
>
> MOPs November 21 2019 - First MOPs WG meeting ever!
> Alas, in conflict with TSVWG...
> Chairs:  Leslie Daigle, Glenn Deen
>
>
> No comments on agenda bash
> Intro to WG
>
> Review of Concrete work itmes
> [15min] Draft of edge network operational considerations for streaming 
> media
>    - Jake Holland
>    - draft-jholland-mops-taxonomy
>    On milestone but not adopted
>
> Key question: how to calculate the demand vs capacity in a way that 
> will be useful for communicating today and archiving for posterity
>
>    []
>    [Jake] there is a mismatch between the maximum
>    [Martin Thompson] try to break to where the capacity is important 
> (last mile, core)
>    [Dave Oran] is there a correlation between high demand and live 
> data.
>    [Glenn Deen] perhaps produce two charts, one for on-demand file to 
> stream delivery and the other for live. different metrics are 
> important, latency, BW,..
>    [Jake] there is some trext about ABR in the document
>    [Leslie Daigle] it seems there is interset in the content, need to 
> see if this is a WG asopt.
>
>    Action
>    [Leslie] are we in favor of adopting
>    [Leslie] Some hum for adopting low hum against it. 3 for in the 
> jabber.
>
>    [Aaron Falk] use known metrics.
>    [Jake] will be happy to have co-authors.
>
>
> Hum taken to adopt the document  - hum appeared to support adoption
>
>
>
> ### Updates from elsewhere
>
> * Updates from other organizations' work
>    - [15min] Sanjay Mishra - Streaming Video Alliance Labs initiative
>    slide 3 is the list of the technical WGs
>    SVA labs open source  slide 6 what they did so far in open caching
>
>    [Leslie] did you provide feedback to the CDNI WG, not only brining 
> new work.
>    [Sanjay] the WG chiar are aware of what is happening in SVA.
>    [Aaron] the slide colors are bad
>
>    no more comments and questions
>
>
>
>    - [5min] Glenn Deen -- reflections from SMPTE 2019
>
>    Time synchronization is important
>    [Roni Even]How to synchronize media from different sources e.g. 
> different cameras with gos clocks. How is the media sent over the IP 
> network and address the clock resolutions
>    [Aaron] there is work in ITU on time solution. it is good if we can 
> capture in MOPS the use case
>    [Dave] data centers have more precise time and should be taken into 
> account. use atomic clocks that are now cheap
>    [Glenn] there is no one way for  measuring or distributing time.
>    [Aaron] what is the focus in Jake's draft, production ,...?
>    [Leslie] on the edge side
>
>    [Glenn] security and integrity of time distribution is important in 
> this space and maybe an new area of work/focus
>    [Aaron] capturing SMPTE operational use cases and issues around 
> time in draft maybe useful
>
>
>
> ### General discussion of issues
> * Operational Issues Observed
>    - [15min] Igor Lubashev -- QUIC and streaming
>    how to measure delay and loss when the inforamtion is encryptes 
> (QUIC)
>    [Spencer Dawkins] first time OPS WG discuss this topic and not in 
> Transport. Why using similar TCP flow is not enough
>    [Igor] TCP and UDP applications getting different treatment.
>    [Bernard Aboba] this assumes similar streaming applications, need 
> more detail to allow the network to support for example layered media
>    Spin bit in QUIC V1; support for loss bits may be in a QUIC 
> extension.
>    Need feedback from operators about the need for such montoring 
> tools, were not present in QUIC WG
>    [Spencer] explict signalling does it involve the endpoint
>    [Igor] yes.
>    [Spencer] do not understand how you can measure without involving 
> the endpoints. This is a good direction, wish we started years ago
>    [Igor] QUIC is new and scaled up the problem
>    [Colin Perkins] there is a draft in tsvwg about the effects of 
> header encryptions, please review the part about the network managment
>    [Sanjay] this is good, there was feedback from operators and will 
> continue to follow
>    [Saker] how do you do without involving endpoints, there is work in 
> MOSQUE to add explicit signals using proxies
>    [Emile Stephan] as operator require the monitoring of network, were 
> involved in spin bit and now working on loss bit.
>    [Spencer] there was the plus BOF in Berlin talkin about providing 
> information to on path observers which could not form a WG.
>    [Emile] do not provide the session keys to the observers. endpoint 
> support is important
>    [Colin] in conferencing video there is the RTCP for reporting ftom 
> the Endpoint. using reports from endpoints can be helpful.
>
>
> General discusion of issues
>
> [Eric Vyncke, responsible AD] happy with the session
>
>
> AOB
>
> Thanks to Roni Even for taking notes during the session.
>
>
> High level summary as posted to Operations & Management wiki:
>
> First meeting as a WG.  Discussion of draft-jholland-mops-taxonomy 
> (edge network operational considerations for streaming media), and 
> formal adoption as a WG work item.  Jake Holland would welcome a 
> co-author to help move it forward.
>
> Updates from elsewhere -- Streaming Video Alliance's use of CDNI 
> protocol work; Society of Motion Picture and Television Engineers 
> (SMPTE) recent meeting highlights -- clear dependencies on reliable 
> and granular time reporting in operations.
>
> Issues for streaming operations -- overview of QUIC implications for 
> networks streaming video.  There are extensions proposed in the QUIC 
> WG, and operators interested in media delivery should go there to 
> weigh in.
>
>
> -- 
>
> -------------------------------------------------------------------
> Leslie Daigle
> Principal, ThinkingCat Enterprises
> [email-masked]
> -------------------------------------------------------------------
> -- 
> Mops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mops

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------